package com.yonge.cooleshow.enums;

import com.yonge.toolset.base.enums.BaseEnum;

/**
 * 订单状态 WAIT_PAY 待支付 PAYING 支付中  PAID 已付款 CLOSE 已关闭
 * @Author: liweifan
 * @Data: 2022/3/31 14:59
 */
public enum OrderStatusEnum implements BaseEnum<String, OrderStatusEnum> {
    WAIT_PAY("WAIT_PAY","待支付"),
    PAYING("PAYING","支付中"),
    PAID("PAID","已付款"),
    CLOSE("CLOSE","已关闭"),
    FAIL("FAIL","支付失败"),
    ;
    private String code;
    private String msg;

    OrderStatusEnum(String code, String msg) {
        this.code = code;
        this.msg = msg;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getMsg() {
        return msg;
    }

    public void setMsg(String msg) {
        this.msg = msg;
    }

    public String getCode() {
        return this.code;
    }
}
